import { ActivatedRoute } from "@angular/router";
import { AddressDto, TodoDto, TodoTemplateDto } from "@smallstack/axios-api-client";
import { NotificationService, TranslationStore } from "@smallstack/i18n-components";
import { MyTodoStore, MyTodoTemplateStore, TodoStore, TodoTemplateStore } from "@smallstack/todo-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export interface TodoDate {
    todoTemplate: TodoTemplateDto;
    startTime: number;
    endTime: number;
    todo?: TodoDto;
    overdue?: boolean;
    fadeOut?: boolean;
    invisible?: boolean;
}
export interface TodoDay {
    date: string;
    todoDates: TodoDate[];
    fadeOut?: boolean;
}
export declare class TodoAgendaWidgetComponent extends BaseWidgetComponent {
    private todoTemplateStore;
    private myTodoTemplateStore;
    private todoStore;
    private myTodoStore;
    private notificationService;
    private translationStore;
    private activatedRoute;
    protected mineOrGlobalTodoStore: TodoStore | MyTodoStore;
    protected mineOrGlobalTodoTemplateStore: TodoTemplateStore | MyTodoTemplateStore;
    protected agendaDays$: Observable<TodoDay[]>;
    constructor(todoTemplateStore: TodoTemplateStore, myTodoTemplateStore: MyTodoTemplateStore, todoStore: TodoStore, myTodoStore: MyTodoStore, notificationService: NotificationService, translationStore: TranslationStore, activatedRoute: ActivatedRoute);
    openGoogleMaps(address: AddressDto): void;
    protected createTodo(todo: TodoDto): Promise<void>;
    protected newTodoCreated(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoAgendaWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TodoAgendaWidgetComponent, "smallstack-todo-agenda-widget", never, {}, {}, never, never, true, never>;
}
